var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { css, html, LitElement } from "lit";
import { customElement, property } from "lit/decorators.js";
var ButtonType;
(function (ButtonType) {
    ButtonType["Primary"] = "primary";
    ButtonType["Reverse"] = "reverse";
})(ButtonType || (ButtonType = {}));
let ComponentWrapper = class ComponentWrapper extends LitElement {
    constructor() {
        super(...arguments);
        this.baseClassName = "button";
        this.label = "";
        this.variant = ButtonType.Primary;
    }
    toggle() {
        console.log("btn clicked !");
    }
    get classNames() {
        return this.baseClassName + ` ${this.variant}`;
    }
    render() {
        return html `
      <button class="${this.classNames}" @click="${this.toggle}">
        ${this.label}
      </button>
    `;
    }
};
ComponentWrapper.styles = css `
    .button {
      all: unset;
      padding: 12px;
      border-radius: 8px;
      cursor: pointer;
      font-family: "Barlow", sans-serif;
      font-weight: 600;
      font-style: normal;
      border: 1px solid transparent;
    }

    .primary {
      background: #004271;
      color: white;
      border-color: #004271;
    }

    .reverse {
      color: #004271;
      background: white;
      border-color: #004271;
    }
  `;
__decorate([
    property({ attribute: false })
], ComponentWrapper.prototype, "baseClassName", void 0);
__decorate([
    property({ type: String })
], ComponentWrapper.prototype, "label", void 0);
__decorate([
    property({ type: String })
], ComponentWrapper.prototype, "variant", void 0);
ComponentWrapper = __decorate([
    customElement("opco-button")
], ComponentWrapper);
export { ComponentWrapper };
//# sourceMappingURL=my-button.js.map