import { css, html, LitElement } from "lit";
import { customElement, property } from "lit/decorators.js";

@customElement("opco-h1")
export class HeadingXxl extends LitElement {
  static override styles = css`
    h1 {
      position: relative;
      color: var(--Ocan-500, #004271);
      font-family: Barlow;
      font-size: 32px;
      font-style: normal;
      font-weight: 700;
      line-height: normal;
    }

    h1::after {
      position: absolute;
      left: 0px;
      bottom: -16px;
      content: "";
      width: 63px;
      height: 6px;
      border-radius: 4px;
      background: var(--Kiwi-500, #80d33a);
    }
  `;
  @property({ type: String }) label = "";

  override render() {
    return html`<h1>${this.label}</h1>`;
  }
}
